---
includes:
  description: >
    "Ensure we only include MFBT headers we actually use"
  extensions: ['c', 'cc', 'cpp', 'cxx', 'h', 'hpp', 'm', 'mm']
  include: ['.']
  exclude:
    - js/src/tests/style/BadIncludesOrder-inl.h
  type: external
  payload: includes:lint
  support-files: ['tools/lint/includes/**']
